{
    // Use IntelliSense to learn about possible attributes.
    // Hover to view descriptions of existing attributes.
    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
    "version": "0.2.0",
    "configurations": [
        {
            "type": "pwa-node",
            "request": "launch",
            "name": "File",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "program": "${file}",
            "env": {
                "BROWSER": "firefox-headless"
            },
            "preLaunchTask": "tsc-watch",
            "outFiles": [
                "${workspaceFolder}/out/**/*.js"
            ]
        },
        {
            "type": "pwa-node",
            "request": "launch",
            "name": "Test-Context",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "program": "${workspaceFolder}/out/program.js",
            "args": [
                "test-context"
            ],
            "preLaunchTask": "rollup-watch",
            "outFiles": [
                "${workspaceFolder}/out/**/*.js"
            ],
            "envFile": "${workspaceFolder}/.env"
        },
        {
            "type": "pwa-node",
            "request": "launch",
            "name": "Server",
            "skipFiles": [
                "<node_internals>/**"
            ],
            "program": "${workspaceFolder}/src/program.ts",
            "args": [
                "server",
                "--port",
                "8080",
                "--self-endpoint",
                "http://localhost:8080",
                "--backend-endpoint",
                "http://localhost:9100",
            ],
            "preLaunchTask": "rollup-watch",
            "outFiles": [
                "${workspaceFolder}/out/**/*.js"
            ],
            "envFile": "${workspaceFolder}/.env"
        },
        {
            "type": "firefox",
            "request": "launch",
            "name": "Firefox",
            "url": "http://localhost:8080",
            "webRoot": "${workspaceFolder}"
        },
        {
            "name": "Chrome",
            "request": "launch",
            "type": "pwa-chrome",
            "url": "http://localhost:8080",
            "webRoot": "${workspaceFolder}"
        },
        {
            "name": "Chromium",
            "request": "launch",
            "type": "pwa-chrome",
            "runtimeExecutable": "custom",
            "url": "http://localhost:8080",
            "webRoot": "${workspaceFolder}"
        },
        {
            "name": "Edge",
            "request": "launch",
            "type": "pwa-msedge",
            "url": "http://localhost:8080",
            "runtimeExecutable": "custom"
        }
    ]
}